DROP FOREIGN DATA WRAPPER(5sql)

NAME
DROP FOREIGN DATA WRAPPER - remove a foreign-data wrapper

SYNOPSIS

DROP FOREIGN DATA WRAPPER [ IF EXISTS ] name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP FOREIGN DATA WRAPPER removes an existing foreign-data wrapper. To execute this command, the current user must be the owner of the foreign-data wrapper.

PARAMETERS

IF EXISTS
    Do not throw an error if the foreign-data wrapper does not exist. A notice is issued in this case.

name
    The name of an existing foreign-data wrapper.

CASCADE
    Automatically drop objects that depend on the foreign-data wrapper (such as servers).

RESTRICT
    Refuse to drop the foreign-data wrappers if any objects depend on it. This is the default.

EXAMPLES

Drop the foreign-data wrapper dbi:

DROP FOREIGN DATA WRAPPER dbi;

COMPATIBILITY

DROP FOREIGN DATA WRAPPER conforms to ISO/IEC 9075-9 (SQL/MED). The IF EXISTS clause is a PostgreSQL extension.

SEE ALSO
CREATE FOREIGN DATA WRAPPER [create_foreign_data_wrapper(5)], ALTER FOREIGN DATA WRAPPER [alter_foreign_data_wrapper(5)]